Get a collection
curl --request GET \
--url https://api.pexafy.com/api/v1/collections/{collection_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.pexafy.com/api/v1/collections/{collection_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.pexafy.com/api/v1/collections/{collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pexafy.com/api/v1/collections/{collection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pexafy.com/api/v1/collections/{collection_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pexafy.com/api/v1/collections/{collection_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pexafy.com/api/v1/collections/{collection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 42,
"name": "Winter wildlife",
"description": "Foxes and snowy landscapes for the January newsletter",
"is_public": false,
"cover_photo_id": "019e1a0d-1a4f-7d62-856f-e6775b49785d",
"created_at": "2026-10-14T09:12:33.481920+00:00",
"updated_at": "2026-10-14T09:15:47.902551+00:00",
"photos_count": 2,
"photos": [
{
"id": 319,
"photo_id": "019e1d9c-5cbd-7882-a966-0f3a4edb1348",
"photo_thumbnail_url": "https://images.unsplash.com/photo-1553107134-7bacacfd7f1a?w=200",
"photo_source": "Unsplash",
"photo_photographer": "Carter Caroline",
"added_at": "2026-10-14T09:15:47.902551+00:00"
},
{
"id": 318,
"photo_id": "019e1a0d-1a4f-7d62-856f-e6775b49785d",
"photo_thumbnail_url": "https://images.pexels.com/photos/20853949/pexels-photo-20853949.jpeg?w=200",
"photo_source": "Pexels",
"photo_photographer": "Dip Kheto",
"added_at": "2026-10-14T09:14:02.118374+00:00"
}
]
},
"meta": {
"request_id": "b3cffe4a-130b-42eb-b6d0-1edf33675051",
"took_ms": 5.83
},
"error": null
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Collections
Get a collection
Retrieve a single collection together with the photos it contains, the most recently added first.
GET
/
api
/
v1
/
collections
/
{collection_id}
Get a collection
curl --request GET \
--url https://api.pexafy.com/api/v1/collections/{collection_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.pexafy.com/api/v1/collections/{collection_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.pexafy.com/api/v1/collections/{collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pexafy.com/api/v1/collections/{collection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pexafy.com/api/v1/collections/{collection_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pexafy.com/api/v1/collections/{collection_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pexafy.com/api/v1/collections/{collection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 42,
"name": "Winter wildlife",
"description": "Foxes and snowy landscapes for the January newsletter",
"is_public": false,
"cover_photo_id": "019e1a0d-1a4f-7d62-856f-e6775b49785d",
"created_at": "2026-10-14T09:12:33.481920+00:00",
"updated_at": "2026-10-14T09:15:47.902551+00:00",
"photos_count": 2,
"photos": [
{
"id": 319,
"photo_id": "019e1d9c-5cbd-7882-a966-0f3a4edb1348",
"photo_thumbnail_url": "https://images.unsplash.com/photo-1553107134-7bacacfd7f1a?w=200",
"photo_source": "Unsplash",
"photo_photographer": "Carter Caroline",
"added_at": "2026-10-14T09:15:47.902551+00:00"
},
{
"id": 318,
"photo_id": "019e1a0d-1a4f-7d62-856f-e6775b49785d",
"photo_thumbnail_url": "https://images.pexels.com/photos/20853949/pexels-photo-20853949.jpeg?w=200",
"photo_source": "Pexels",
"photo_photographer": "Dip Kheto",
"added_at": "2026-10-14T09:14:02.118374+00:00"
}
]
},
"meta": {
"request_id": "b3cffe4a-130b-42eb-b6d0-1edf33675051",
"took_ms": 5.83
},
"error": null
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Pass your Pexafy API key in this header.
Get your API key at pexafy.com/dashboard/api-keys/create.
Path Parameters
The collection's numeric identifier.
⌘I